"Trainz-build" tag

From TrainzOnline
Jump to: navigation, search
N3V TrainzOnline official reference page

Contents

Trainz-build tag number

The "Trainz-build" tag indicates the minimum trainz version required to use an asset. Trainz will not attempt to load an asset which has a trainz-build tag that is newer than it's own "Trainz-build" number, however it is possible to download and edit newer versions.

This tag is also a general indication of the age of the asset, and the general technical configuration and standards to which it is built. Assets with old Trainz-build numbers are not built to take advantage of new Trainz features that did not exist in the version of Trainz that the asset was built for, and the oldest used approaches which have been entirely abandoned. Newer Trainz releases do their best to translate these older technologies into the newer releases standards (data organization and graphical tech) but some small percentage of assets cannot be converted.

The tag is a decimal number, with no explanatory text or other embellishments. If the tag is missing or malformed, Trainz will assume a very early version and may report warnings or errors.


A complete list of supported "Trainz-build" numbers can be found here.


Asset compatibility

It is important for an asset to list the correct Trainz-build in the config.txt file. It specifies the version of Trainz the asset was intended to be used with. An earlier version of Trainz will refuse to load the asset. A later version of Trainz will enable appropriate backwards compatibility workarounds (e.g. using different validation requirements) as required.  

A correctly-constructed asset built for an older version will usually function in a newer version of Trainz. However, Trainz content validation is improved over time, and newer versions of Trainz detect errors that older versions did not pick up on. Some content may be detected as 'faulty' in a current Trainz version that was missed in the version it was originally created for.  

It should be noted that content that is uploaded to the Download Station is validated by the most recent version of Trainz, using the validation compatibility for the trainz-build specified by the asset.  

If Content Creator Plus is used to modify an asset, it will automatically update the trainz-build version in the config.txt file to the current Trainz version. If this version has changed significantly, other changes to the config.txt file will probably be required. Assets which are manually edited will need the appropriate version entered. If the line is omitted entirely, the lowest possible version is assumed. This is currently Trainz-build 1.3.  

Personal tools